Page MenuHomePhabricator

Add phan to OAuth extension
Closed, ResolvedPublic

Description

As wmf deployed extension the OAuth extension should run phan on CI to found simple bugs in an earlier state of development.

The folder /includes/lib/ should be excluded from analyze (but needed as file for parsing)

Details

Related Gerrit Patches:
mediawiki/extensions/OAuth : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : master[OAuth] Run phan job
integration/config : master[OAuth] Add phan dependency

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 8:09 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 536748 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [OAuth] Add phan dependency

https://gerrit.wikimedia.org/r/536748

Change 536748 merged by jenkins-bot:
[integration/config@master] [OAuth] Add phan dependency

https://gerrit.wikimedia.org/r/536748

Change 536750 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/OAuth@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/536750

Change 538067 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [OAuth] Run phan job

https://gerrit.wikimedia.org/r/538067

Change 538067 merged by jenkins-bot:
[integration/config@master] [OAuth] Run phan job

https://gerrit.wikimedia.org/r/538067

Umherirrender closed this task as Resolved.Sep 19 2019, 5:18 PM
Umherirrender claimed this task.
Umherirrender triaged this task as Medium priority.

Change 536750 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/536750